package com.qmth.demo.api.controller;

import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.boot.core.solar.service.SolarService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/solar")
public class SolarController {

    @Resource
    private SolarService solarService;

    @RequestMapping("/app/info")
    public Object appInfo() {
        return solarService.getAppInfo();
    }

    @RequestMapping("/org/list")
    public Object orgList() {
        return solarService.getOrgList();
    }
}
